System.ServiceModel 4.0.0.0 System.ServiceModel.Security.Tokens.SecurityTokenParameters

This class is a collection of token properties and methods, and is used in creating security binding elements and tokens.

Represents the parameters for an X.509 security token.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  X509ReferenceStyle describes the kinds of security key identifier clauses that can be used to refer to the X509 security token. By default, references by Thumbprint, IssuerSerial, SubjectKeyIdentifier, and RawDataKeyIdentifier are accepted.

  The following new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  The corresponding properties are set to the values in the input parameters.

  Initializes a new instance of the class.

  An .
- Constructor
  4.0.0.0
  To be added.

  The new instance property values are set to the corresponding values in .

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The following new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  The corresponding properties are set to the values in the input parameters.

  Initializes a new instance of the class.

  An .
  A .
- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenParameters

  The and methods follow the Core design pattern.

  is an abstract class which is overridden by .

  The method calls the constructor.

  Clones another instance of this instance of the class.

  A new instance of the .

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifierClause `` `` To be added.

  Creates a key identifier clause for a token.

  The security key identifier clause.

  The token. The .
- Property
  4.0.0.0
  System.Boolean To be added.

  Asymmetric keys are used in public-key cryptography, which uses two keys, a public key and a private key, which are related mathematically. The public key is distributed widely, but the private key is kept secret. In public-key cryptography, there is no need to exchange a common key.

  Gets a value that indicates whether the token has an asymmetric key.

- Method
  4.0.0.0
  System.Void ``

  The following properties of the are initialized:

  = .

  = true.

  = .

  Initializes a security token requirement.

  The .
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the token supports client authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the token supports a Windows identity for authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the token supports server authentication.

- Method
  4.0.0.0
  System.String To be added.

  Displays a text representation of this instance of the class.

  A text representation of this instance of this class.

- Property
  4.0.0.0
  System.ServiceModel.Security.Tokens.X509KeyIdentifierClauseType To be added. To be added.

  Gets and sets the X.509 reference style.